Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.api
Class ExpectationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.jmock.api.ExpectationError

All Implemented Interfaces:
  Serializable, SelfDescribing

    public class ExpectationError

extends Error
implements SelfDescribing

An error thrown when an expectation is violated during a test.

Author:
  npryce
See Also:
  Serialized Form

Field Summary
`SelfDescribing` | `expectations`
`Invocation` | `invocation`

Constructor Summary
`ExpectationError(String message, Invocation invocation)`
`ExpectationError(String message, SelfDescribing expectations)`
`ExpectationError(String message, SelfDescribing expectations, Invocation invocation)`

Method Summary
`void` | `describeTo(Description description)` Generates a description of the object.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expectations

    public final SelfDescribing expectations

### invocation

    public final Invocation invocation

Constructor Detail

### ExpectationError

    public ExpectationError(String message,
                            SelfDescribing expectations,
                            Invocation invocation)

### ExpectationError

    public ExpectationError(String message,
                            Invocation invocation)

### ExpectationError

    public ExpectationError(String message,
                            SelfDescribing expectations)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Specified by:
    `describeTo` in interface `SelfDescribing`
  Parameters:
    `description` - The description to be built or appended to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD